Skip to main content
`Ctrl`+`K`

# DMPlexSetConeSize

Set the number of in-edges for this point in the DAG

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetConeSize(DM dm, PetscInt p, PetscInt size)

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- p - The point, which must lie in the chart set with `DMPlexSetChart()`

- size - The cone size for point `p`

## Note

This should be called after `DMPlexSetChart()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexSetCone()`, `DMPlexCreate()`, `DMPlexGetConeSize()`, `DMPlexSetChart()`

## Level

beginner

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages